import CardBlog from "@/components/CardBlog";
import HeroImage from "@/components/HeroImage";
import { CardBlogData } from "@/schema/blog";

export default function Blog() {
  const data: CardBlogData[] = [
    {
      slug: "introducing-a-ray-kappe",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "March 15, 2021",
    },
    {
      slug: "24234",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "March 15, 2021",
    },
    {
      slug: "wkejrh2k3jr",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "March 15, 2021",
    },
    {
      slug: "1l2kj4lw34",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "March 15, 2021",
    },
    {
      slug: "asflj2lj53545",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "March 15, 2021",
    },
    {
      slug: "adflkj2oj545",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "",
    },
  ];

  return (
    <>
      <HeroImage />
      <section className="section section-md bg-gray-12">
        <div className="container">
          <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-6">
            {data.map((blog) => (
              <CardBlog key={blog.slug} data={blog} />
            ))}
          </div>
        </div>
      </section>
    </>
  );
}
